/************************************************************************
	Copyright (C) 2010 Robert Scott.
	
	This file if part of rrd_agent.
	
    rrd_agent is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    rrd_agent is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
	
*************************************************************************/

#include "config.h"
#include <string>
#include <sstream>
#include <sys/stat.h>


std::string get_filename(const std::string & data_folder, const std::string & logger_code, const std::string & monitor_code, int channel_number) 
{
	std::ostringstream stream;
	stream << data_folder << "/" << logger_code << "_" << monitor_code << "_c" << channel_number << ".rrd";
	return stream.str();
}

bool file_exists(const std::string & filename) 
{
	struct stat stFileInfo;
	bool blnReturn;
	int intStat;

	// Attempt to get the file attributes
	intStat = stat(filename.c_str(),&stFileInfo);
	if(intStat == 0) {
		// We were able to get the file attributes
		// so the file obviously exists.
		blnReturn = true;
	} else {
		// We were not able to get the file attributes.
		// This may mean that we don't have permission to
		// access the folder which contains this file. If you
		// need to do that level of checking, lookup the
		// return values of stat which will give you
		// more details on why stat failed.
		blnReturn = false;
	}

	return(blnReturn);
}

